summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGordian Edenhofer2017-06-14 16:54:47 +0200
committerGordian Edenhofer2017-06-14 16:54:47 +0200
commitfddc4503ee5423d135ca264144d0b4cb3d3f2b1e (patch)
tree57ea3920af5c795978dd5333a65954aab9bb6786
parent4e405836421e49893ac6eaebd784731cc6579651 (diff)
downloadaur-fddc4503ee5423d135ca264144d0b4cb3d3f2b1e.tar.gz
upgpkg: minecraft-server 1.12-1
Require java-runtime-headless version 8 since the minecraft server recently switched to it.
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD2
2 files changed, 2 insertions, 2 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 0ade45fb67f..65fe79b981f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -6,7 +6,7 @@ pkgbase = minecraft-server
install = minecraft-server.install
arch = any
license = custom
- depends = java-runtime-headless
+ depends = java-runtime-headless=8
depends = screen
depends = sudo
depends = bash
diff --git a/PKGBUILD b/PKGBUILD
index 5377b98d6c3..253093375a1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -9,7 +9,7 @@ pkgdesc="Minecraft server unit files, script, and jar"
arch=('any')
url="https://minecraft.net/"
license=('custom')
-depends=('java-runtime-headless' 'screen' 'sudo' 'bash' 'awk' 'sed')
+depends=('java-runtime-headless=8' 'screen' 'sudo' 'bash' 'awk' 'sed')
optdepends=("tar: needed in order to create world backups"
"netcat: required in order to suspend an idle server")
conflicts=('minecraft-server-systemd' 'minecraft-canary')